Subject: RE: !RE: [PATCH] gcc3/ld patch for direct-linking-to-dll andauto-importsupport
From: "Ralf Habacker" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 9 Sep 2003 13:52:01 +0200

> > > I've tried that with your testcase and it seems to work.
> > >
> > What gcc release you are using ?
>
> I tested with mingw builds of 3.3.1 and last weeks GCC-head (3.4). They put
> readonly data into .rdata$ sections if -fdata-sections but in .text otherwise.
> You're correct, though, it is is different in 3.2.x
>
> > It seems that gcc3.2 (which is the recent
> > cygwin release) does not support this. (See the ! below)
> > Are there any other gcc options to archive this ?
>
> Not that I know of. A -mrdata-in-rdata :) switch would be handy.
>
What should we do ?

1. wait until gcc 3.3 is in the cygwin net distribution and forgot this patch.

2. Apply this patch as it is.

3. Extend this patch with .rdata$ support like you have done and apply this all
to ensure propper working for current and further gcc3 release.

I would prefer solution 3. Any objectivies ?

Ralf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/